; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "ET Ultimate Installer"
!define PRODUCT_VERSION "1.6"
!define PRODUCT_PUBLISHER "Kashu"
!define PRODUCT_WEB_SITE "http://etui.kashu.fr/"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\ET.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wolfenstein - Enemy Territory"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

; MUI 1.67 compatible ------
!include "MUI.nsh"
!include "Sections.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\orange-install-nsis.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall-nsis.ico"

; MUI Settings / Header
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_RIGHT
!define MUI_HEADERIMAGE_BITMAP "Et_logo.bmp"
!define MUI_HEADERIMAGE_UNBITMAP "Et_logo.bmp"
!define MUI_COMPONENTSPAGE_SMALLDESC

; MUI Settings / Wizard
!define MUI_WELCOMEFINISHPAGE_BITMAP "splash.bmp"
!define MUI_UNWELCOMEFINISHPAGE_BITMAP "splash.bmp"

; Welcome page
!define MUI_WELCOMEPAGE_TITLE_3LINES
!insertmacro MUI_PAGE_WELCOME

; License page
!insertmacro MUI_PAGE_LICENSE "license.txt"

Page custom PunkBuster
!define MUI_PAGE_HEADER_TEXT "PunkBuster Software License Agreement"
!define MUI_PAGE_HEADER_SUBTEXT ""
!insertmacro MUI_PAGE_LICENSE "licensepb.txt"

Var chxcfg

Page custom Choixcfg

; Components page
!insertmacro MUI_PAGE_COMPONENTS

Page custom Resolution inputval

; Directory page
!insertmacro MUI_PAGE_DIRECTORY

; Start menu page
var ICONS_GROUP
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Enemy Territory"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${PRODUCT_STARTMENU_REGVAL}"
!insertmacro MUI_PAGE_STARTMENU Application $ICONS_GROUP

; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_LINK $(etsv)
!define MUI_FINISHPAGE_LINK_LOCATION "http://www.bdamage.se/"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "French"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "ET_Ultimate_Installer_${PRODUCT_VERSION}.exe"
BrandingText "${PRODUCT_NAME} ${PRODUCT_VERSION}"
InstallDir "$PROGRAMFILES\Enemy Territory"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

RequestExecutionLevel admin

LangString etsv ${LANG_ENGLISH} "I suggest you to use Game Scanner to browse servers"
LangString etsv ${LANG_FRENCH} "Essayez Game Scanner pour parcourir les serveurs"
LangString widescreensec ${LANG_ENGLISH} "Wide Screen FOV"
LangString widescreensec ${LANG_FRENCH} "FOV pour crans larges"
LangString widescr ${LANG_ENGLISH} "Adapts the FOV for wide screens"
LangString widescr ${LANG_FRENCH} "Adapte le FOV pour les crans larges"
LangString quatretrois ${LANG_ENGLISH} "FOV settings for a regular screen"
LangString quatretrois ${LANG_FRENCH} "Paramtres FOV pour un cran normal"
LangString strtsh ${LANG_ENGLISH} "Start Menu Shortcut"
LangString strtsh ${LANG_FRENCH} "Raccourci Menu Dmarrer"
LangString desksh ${LANG_ENGLISH} "Desktop Shortcut"
LangString desksh ${LANG_FRENCH} "Raccourci Bureau"
LangString nicecfg ${LANG_ENGLISH} "Nice"
LangString nicecfg ${LANG_FRENCH} "Jolie"
LangString uglycfg ${LANG_ENGLISH} "Ugly"
LangString uglycfg ${LANG_FRENCH} "Moche"
LangString fullgame ${LANG_ENGLISH} "The full game in version 2.60b"
LangString fullgame ${LANG_FRENCH} "Le jeu complet en version 2.60b"
LangString nicegr ${LANG_ENGLISH} "Nice graphics, good for beginners and/or pub players"
LangString nicegr ${LANG_FRENCH} "Beaux graphismes, parfait pour les nouveaux joueurs et/ou les joueurs de pub"
LangString uglygr ${LANG_ENGLISH} "Ugly graphics, made for competition and/or slow computers"
LangString uglygr ${LANG_FRENCH} "Graphismes moches, faite pour la comptition et/ou les PC lents"
LangString TEXT_IO_TITLE ${LANG_ENGLISH} "Options"
LangString TEXT_IO_TITLE ${LANG_FRENCH} "Options"
LangString TEXT_IO_SUBTITLE ${LANG_ENGLISH} "Some options concerning the game."
LangString TEXT_IO_SUBTITLE ${LANG_FRENCH} "Quelques options concernant le jeu."
LangString link ${LANG_ENGLISH} "With which resolution do you want to play ET?"
LangString link ${LANG_FRENCH} "Avec quelle rsolution voulez-vous jouer  ET ?"
LangString link2 ${LANG_ENGLISH} "Height"
LangString link2 ${LANG_FRENCH} "Hauteur"
LangString link3 ${LANG_ENGLISH} "Width"
LangString link3 ${LANG_FRENCH} "Largeur"
LangString link4 ${LANG_ENGLISH} "Your nickname ingame:"
LangString link4 ${LANG_FRENCH} "Votre surnom dans le jeu :"
LangString chxcfg1 ${LANG_ENGLISH} "Which config do you want to use?"
LangString chxcfg1 ${LANG_FRENCH} "Quelle configuration voulez-vous utiliser ?"
LangString chxcfg2 ${LANG_ENGLISH} "Nice"
LangString chxcfg2 ${LANG_FRENCH} "Jolie"
LangString chxcfg3 ${LANG_ENGLISH} "Ugly"
LangString chxcfg3 ${LANG_FRENCH} "Moche"
LangString nickcol ${LANG_ENGLISH} "You can generate a nick with different colors there:"
LangString nickcol ${LANG_FRENCH} "Vous pouvez gnrer votre surnom avec diffrentes couleurs ici :"
LangString already ${LANG_ENGLISH} "The installer is already running."
LangString already ${LANG_FRENCH} "Le programme est dj en cours d'excution."
LangString alreadyinst ${LANG_ENGLISH} "${PRODUCT_NAME} is already installed.$\n$\nYou should uninstall it first.$\nClick on OK to do so.$\n$\nDon't forget to backup the files (cfg, etkey, etc.) that you want to keep!!$\n$\nIf you wanna make another install, just copy/paste the ET directory."
LangString alreadyinst ${LANG_FRENCH} "${PRODUCT_NAME} est dj install.$\n$\nVous devriez d'abord le dsinstaller.$\nCliquez sur OK pour le dsinstaller.$\n$\nN'oubliez pas de sauvegarder les fichiers (cfg, etkey, etc.) que vous souhaitez garder !!$\n$\nSi vous souhaitez simplement avoir une deuxime installation, vous pouvez copier/coller le dossier ET."
LangString uninq ${LANG_ENGLISH} "Are you sure you want to completely uninstall $(^Name)?$\n$\nDon't forget to backup the files (cfg, etkey, etc.) that you want to keep!!"
LangString uninq ${LANG_FRENCH} "Etes-vous sr de vouloir dsinstaller compltement $(^Name) ?$\n$\nN'oubliez pas de sauvegarder les fichiers (cfg, etkey, etc.) que vous souhaitez garder !!"
LangString uninok ${LANG_ENGLISH} "$(^Name) has been successfully uninstalled from your computer."
LangString uninok ${LANG_FRENCH} "$(^Name) a t correctement dsinstall."
LangString whatpb ${LANG_ENGLISH} "What is PunkBuster?"
LangString whatpb ${LANG_FRENCH} "Qu'est-ce que Punkbuster ?"
LangString inputres ${LANG_ENGLISH} "Please choose a resolution."
LangString inputres ${LANG_FRENCH} "Veuillez choisir une rsolution."
LangString inputname ${LANG_ENGLISH} "Please enter a nickname."
LangString inputname ${LANG_FRENCH} "Veuillez entrer un surnom."
LangString selcfg ${LANG_ENGLISH} "Please select a configuration."
LangString selcfg ${LANG_FRENCH} "Veuillez slectionner une configuration."
LangString screen ${LANG_ENGLISH} "Screen"
LangString screen ${LANG_FRENCH} "Ecran"
LangString mapsmenu ${LANG_ENGLISH} "Maps"
LangString mapsmenu ${LANG_FRENCH} "Maps"
LangString custom ${LANG_ENGLISH} "Custom maps (supply, braundorf, etc.)"
LangString custom ${LANG_FRENCH} "Custom maps (supply, braundorf, etc.)"
LangString defaultbinds ${LANG_ENGLISH} "Default binds"
LangString defaultbinds ${LANG_FRENCH} "Binds par dfaut"
LangString pbdesc ${LANG_ENGLISH} "Anti-Cheat system for online multiplayer games"
LangString pbdesc ${LANG_FRENCH} "Systme Anti-Cheat pour jeux multijoueurs en ligne"
LangString tjmoddesc ${LANG_ENGLISH} "Trickjumping Mod - http://www.trickjump.me/"
LangString tjmoddesc ${LANG_FRENCH} "Trickjumping Mod - http://www.trickjump.me/"
LangString etprodesc ${LANG_ENGLISH} "Competition Mod - http://bani.anime.net/etpro/"
LangString etprodesc ${LANG_FRENCH} "Mod de comptition - http://bani.anime.net/etpro/"
LangString etpubdesc ${LANG_ENGLISH} "Fun Mod - http://www.etpub.org/"
LangString etpubdesc ${LANG_FRENCH} "Fun Mod - http://www.etpub.org/"
LangString nqdesc ${LANG_ENGLISH} "Fun Mod - http://www.shitstorm.org/noquarter/"
LangString nqdesc ${LANG_FRENCH} "Fun Mod - http://www.shitstorm.org/noquarter/"
LangString jaymoddesc ${LANG_ENGLISH} "Fun Mod - http://jaymod.clanfu.org/"
LangString jaymoddesc ${LANG_FRENCH} "Fun Mod - http://jaymod.clanfu.org/"
LangString botdesc ${LANG_ENGLISH} "Bots for ET - http://www.omni-bot.de/"
LangString botdesc ${LANG_FRENCH} "Bots pour ET - http://www.omni-bot.de/"
LangString 1v1 ${LANG_ENGLISH} "1v1 maps (te_valhalla, tournementdm2)"
LangString 1v1 ${LANG_FRENCH} "Maps 1v1 (te_valhalla, tournementdm2)"

;SECTIONS---
Section "Enemy Territory" SEC01
  SetShellVarContext all
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wolfenstein - Enemy Territory" "SMPROGRAM" $ICONS_GROUP
  SectionIn RO
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "Enemy Territory\*.*"
  SetOutPath "$INSTDIR\etmain"
  File "Enemy Territory\etmain\*.*"
  SetOutPath "$INSTDIR\etmain\profiles"
  File "Enemy Territory\etmain\profiles\*.*"
  SetOutPath "$INSTDIR\etmain\profiles\ETUI"
  SetOutPath "$INSTDIR"
SectionEnd

SectionGroup /e $(mapsmenu)
Section $(custom) SEC16
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\etmain"
  File "Enemy Territory\etmain\maps\*.*"
  SetOutPath "$INSTDIR"
SectionEnd

Section /o "1v1" SEC17
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\etmain"
  File "Enemy Territory\etmain\1v1\*.*"
  SetOutPath "$INSTDIR"
SectionEnd
SectionGroupEnd

Section -$(strtsh) SEC01b
  SetShellVarContext all
  CreateDirectory "$SMPROGRAMS\$ICONS_GROUP"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Uninstall Enemy Territory.lnk" "$INSTDIR\uninst.exe"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Enemy Territory.lnk" "$INSTDIR\ET.exe"
SectionEnd

SectionGroup /e "Mods"
Section "etpro 3.2.6" SEC02
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\etpro"
  File "Enemy Territory\etpro\*.*"
  SetOutPath "$INSTDIR\etpro\profiles\ETUI"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - ETPro.lnk" "$INSTDIR\ET.exe" "+set fs_game etpro"
SectionEnd

Section /o "etpub 0.8.1" SEC03
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\etpub"
  File "Enemy Territory\etpub\*.*"
  SetOutPath "$INSTDIR\etpub\profiles\ETUI"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - ETPub.lnk" "$INSTDIR\ET.exe" "+set fs_game etpub"
SectionEnd

Section /o "jaymod 2.1.7" SEC04
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\jaymod"
  File "Enemy Territory\jaymod\*.*"
  SetOutPath "$INSTDIR\jaymod\profiles\ETUI"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - Jaymod.lnk" "$INSTDIR\ET.exe" "+set fs_game jaymod"
SectionEnd

Section /o "noquarter 1.2.7" SEC05
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\nq"
  File "Enemy Territory\nq\*.*"
  SetOutPath "$INSTDIR\nq\profiles\ETUI"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - NoQuarter.lnk" "$INSTDIR\ET.exe" "+set fs_game nq"
SectionEnd

Section /o "omnibot 0.71" SEC11
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\omnibot"
  File "Enemy Territory\omnibot\*.*"
  SetOutPath "$INSTDIR\omnibot\profiles\ETUI"
  SetOutPath "$INSTDIR\omni-bot"
  File "Enemy Territory\omni-bot\*.*"
  SetOutPath "$INSTDIR\omni-bot\et"
  SetOutPath "$INSTDIR\omni-bot\et\nav"
  File "Enemy Territory\omni-bot\et\nav\*.*"
  SetOutPath "$INSTDIR\omni-bot\et\scripts"
  File "Enemy Territory\omni-bot\et\scripts\*.*"
  SetOutPath "$INSTDIR\omni-bot\et\scripts\goals"
  File "Enemy Territory\omni-bot\et\scripts\goals\*.*"
  SetOutPath "$INSTDIR\omni-bot\et\scripts\testmap"
  File "Enemy Territory\omni-bot\et\scripts\testmap\*.*"
  SetOutPath "$INSTDIR\omni-bot\et\scripts\weapons"
  File "Enemy Territory\omni-bot\et\scripts\weapons\*.*"
  SetOutPath "$INSTDIR\omni-bot\et\user"
  File "Enemy Territory\omni-bot\et\user\*.*"
  SetOutPath "$INSTDIR\omni-bot\global_scripts"
  File "Enemy Territory\omni-bot\global_scripts\*.*"
  SetOutPath "$INSTDIR\omni-bot\global_scripts\goals"
  File "Enemy Territory\omni-bot\global_scripts\goals\*.*"
  SetOutPath "$INSTDIR\omni-bot\global_scripts\weapons"
  File "Enemy Territory\omni-bot\global_scripts\weapons\*.*"
  SetOutPath "$INSTDIR\omni-bot\gui"
  File "Enemy Territory\omni-bot\gui\*.*"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - Omnibot.lnk" "$INSTDIR\ET.exe" "+set fs_game omnibot"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - 6o6 vs bots NoQuarter.lnk" "$INSTDIR\ET.exe" "+set dedicated 0 +set fs_game nq +set sv_punkbuster 0 +exec server.cfg"
SectionEnd

Section /o "tjmod 1.6.3" SEC15
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  SetOutPath "$INSTDIR\tjmod"
  File "Enemy Territory\tjmod\*.*"
  SetOutPath "$INSTDIR\tjmod\configs"
  File "Enemy Territory\tjmod\configs\*.*"
  SetOutPath "$INSTDIR\tjmod\tjmapscripts"
  File "Enemy Territory\tjmod\tjmapscripts\*.*"
  SetOutPath "$INSTDIR\tjmod\profiles\ETUI"
  SetOutPath "$INSTDIR"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ET - TJMod.lnk" "$INSTDIR\ET.exe" "+set fs_game tjmod"
SectionEnd
SectionGroupEnd

Section "Punkbuster" SEC14
  SetOutPath "$INSTDIR\pb"
  File "Enemy Territory\pb\*.*"
  SetOutPath "$INSTDIR\pb\dll"
  File "Enemy Territory\pb\dll\*.*"
  SetOutPath "$INSTDIR\pb\htm"
  File "Enemy Territory\pb\htm\*.*"
  SetOutPath "$INSTDIR"
SectionEnd

SectionGroup /e "CFG"
Section /o $(nicecfg) SEC06
  SectionIn RO
  SetOutPath "$INSTDIR\etmain\profiles\ETUI"
  File "Enemy Territory\etmain\profiles\ETUI\etconfignice.cfg"
  Rename $INSTDIR\etmain\profiles\ETUI\etconfignice.cfg $INSTDIR\etmain\profiles\ETUI\etconfig.cfg
  SetOutPath "$INSTDIR"
SectionEnd

Section /o $(uglycfg) SEC07
  SectionIn RO
  SetOutPath "$INSTDIR\etmain\profiles\ETUI"
  File "Enemy Territory\etmain\profiles\ETUI\etconfigugly.cfg"
  Rename $INSTDIR\etmain\profiles\ETUI\etconfigugly.cfg $INSTDIR\etmain\profiles\ETUI\etconfig.cfg
  SetOutPath "$INSTDIR"
SectionEnd

Section /o $(defaultbinds) SEC18
  Call defbinds
SectionEnd
SectionGroupEnd

SectionGroup /e $(screen)
Section "4/3" SEC13
  SectionIn RO
SectionEnd

Section /o "16/9" SEC10
  SectionIn RO
  Call wide1c
  Call wide2c
SectionEnd

Section /o "16/10" SEC12
  SectionIn RO
  Call wide1b
  Call wide2b
SectionEnd
SectionGroupEnd

Section $(desksh) SEC09
  CreateShortCut "$DESKTOP\Enemy Territory.lnk" "$INSTDIR\ET.exe"
SectionEnd

Section -Post
  SetShellVarContext all
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\ET.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "Wolfenstein - Enemy Territory"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\ET.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "SOFTWARE\Activision" "" ""
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "SOFTWARE\Activision\Wolfenstein - Enemy Territory" "InstallPath" "$INSTDIR"
SectionEnd

; Section descriptions
!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} $(fullgame)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01b} ""
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} $(etprodesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} $(etpubdesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} $(jaymoddesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC05} $(nqdesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC06} $(nicegr)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC07} $(uglygr)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC09} $(desksh)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC10} $(widescr)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC11} $(botdesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC12} $(widescr)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC13} $(quatretrois)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC14} $(pbdesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC15} $(tjmoddesc)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC16} $(custom)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC17} $(1v1)
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC18} $(defaultbinds)
!insertmacro MUI_FUNCTION_DESCRIPTION_END

Section -Res
Call Resolution2
Call Resolution4
Call Resolution6
Call omni1
SectionEnd

;FUNCTIONS---

Function .onInit

  ;Extract InstallOptions files
  ;$PLUGINSDIR will automatically be removed when the installer closes
InitPluginsDir
  File /oname=$PLUGINSDIR\nice.bmp "G:\Jeux Video\Archives\ET\ETUI\nice.bmp"
  File /oname=$PLUGINSDIR\ugly.bmp "G:\Jeux Video\Archives\ET\ETUI\ugly.bmp"
  
  !insertmacro MUI_INSTALLOPTIONS_EXTRACT "cfg.ini"
  ;Write image paths to the INI file
  !insertmacro MUI_INSTALLOPTIONS_WRITE "cfg.ini" "Field 3" "Text" $PLUGINSDIR\nice.bmp
  !insertmacro MUI_INSTALLOPTIONS_WRITE "cfg.ini" "Field 2" "Text" $PLUGINSDIR\ugly.bmp
  !insertmacro MUI_INSTALLOPTIONS_WRITE "cfg.ini" "Field 1" "Text" "$(chxcfg1)"
  !insertmacro MUI_INSTALLOPTIONS_WRITE "cfg.ini" "Field 4" "Text" "$(chxcfg2)"
  !insertmacro MUI_INSTALLOPTIONS_WRITE "cfg.ini" "Field 5" "Text" "$(chxcfg3)"

  StrCpy $2 ${SEC06} ; Group 2 - Option 1 is selected by default
  StrCpy $3 ${SEC13}

 System::Call 'kernel32::CreateMutexA(i 0, i 0, t "myMutex") i .r1 ?e'
 Pop $R0
 
 StrCmp $R0 0 +3
   MessageBox MB_OK|MB_ICONEXCLAMATION "$(already)"
   Abort

;Uninstall old version before installing
  ReadRegStr $R0 HKLM \
  "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wolfenstein - Enemy Territory" \
  "UninstallString"
  StrCmp $R0 "" done
 
  MessageBox MB_OKCANCEL|MB_ICONEXCLAMATION \
  "$(alreadyinst)" \
  IDOK uninst
  Abort
  
uninst:
  SetShellVarContext all
  ClearErrors
  ExecWait '$R0 _?=$INSTDIR' ;Do not copy the uninstaller to a temp file
 
  IfErrors no_remove_uninstaller
    ;You can either use Delete /REBOOTOK in the uninstaller or add some code
    ;here to remove the uninstaller. Use a registry key to check
    ;whether the user has chosen to uninstall. If you are using an uninstaller
    ;components page, make sure all sections are uninstalled.
  no_remove_uninstaller:
  
done:

!insertmacro MUI_INSTALLOPTIONS_EXTRACT "res.ini"
!insertmacro MUI_INSTALLOPTIONS_EXTRACT "pb.ini"

FunctionEnd

Function .onSelChange
	
  !insertmacro StartRadioButtons $2
    !insertmacro RadioButton ${SEC06}
    !insertmacro RadioButton ${SEC07}
  !insertmacro EndRadioButtons
  
  !insertmacro StartRadioButtons $3
    !insertmacro RadioButton ${SEC10}
    !insertmacro RadioButton ${SEC12}
	!insertmacro RadioButton ${SEC13}
  !insertmacro EndRadioButtons
	
FunctionEnd

Function Choixcfg

!insertmacro MUI_HEADER_TEXT "$(TEXT_IO_TITLE)" "$(TEXT_IO_SUBTITLE)"
!insertmacro MUI_INSTALLOPTIONS_DISPLAY "cfg.ini"

Call inputval2
Call wideres

FunctionEnd

Function inputval2

!insertmacro MUI_INSTALLOPTIONS_READ $chxcfg "cfg.ini" "Field 4" "State"
${If} $chxcfg == "1"
!insertmacro SelectSection ${SEC06}
!insertmacro UnselectSection ${SEC07}
${Else}
!insertmacro SelectSection ${SEC07}
!insertmacro UnselectSection ${SEC06}
${EndIf}

FunctionEnd

Function PunkBuster

!insertmacro MUI_HEADER_TEXT "PunkBuster" "$(whatpb)"
!insertmacro MUI_INSTALLOPTIONS_DISPLAY "pb.ini"

FunctionEnd

Function wideres

System::Call 'user32::GetSystemMetrics(i 0) i .r0'
System::Call 'user32::GetSystemMetrics(i 1) i .r1'

${If} $0 == "852"
${AndIf} $1 == "480"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "960"
${AndIf} $1 == "540"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "1024"
${AndIf} $1 == "576"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "1280"
${AndIf} $1 == "720"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "1365"
${AndIf} $1 == "768"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "1600"
${AndIf} $1 == "900"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "1920"
${AndIf} $1 == "1080"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "2048"
${AndIf} $1 == "1152"
!insertmacro SelectSection ${SEC10}
${EndIf}
${If} $0 == "3840"
${AndIf} $1 == "2160"
!insertmacro SelectSection ${SEC10}
${EndIf}

${If} $0 == "768"
${AndIf} $1 == "480"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1024"
${AndIf} $1 == "640"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1152"
${AndIf} $1 == "720"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1280"
${AndIf} $1 == "800"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1440"
${AndIf} $1 == "900"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1680"
${AndIf} $1 == "1050"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "1920"
${AndIf} $1 == "1200"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "2560"
${AndIf} $1 == "1600"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "3840"
${AndIf} $1 == "2400"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "5120"
${AndIf} $1 == "3800"
!insertmacro SelectSection ${SEC12}
${EndIf}
${If} $0 == "7680"
${AndIf} $1 == "4800"
!insertmacro SelectSection ${SEC12}
${EndIf}

FunctionEnd

Function GenRanNum
Push $R0
Push $R1
Push $R2
GetTempFileName $R0
GetFileTime $R0 $R1 $R2
 StrLen $R1 $R2
 StrCpy $R1 $R2 1 -$R1
  StrCmp $R1 - 0 +5
 StrLen $R1 $R2
 IntOp $R1 $R1 - 1
 StrCpy $R2 $R2 1 -$R1
Goto +2
  StrCpy $R2 $R1
Delete $R0
StrCpy $R0 $R2
Pop $R2
Pop $R1
Exch $R0
FunctionEnd

Function Resolution

System::Call 'user32::GetSystemMetrics(i 0) i .r0'
System::Call 'user32::GetSystemMetrics(i 1) i .r1'

!insertmacro MUI_HEADER_TEXT "$(TEXT_IO_TITLE)" "$(TEXT_IO_SUBTITLE)"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 1" "State" "$0"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 2" "State" "$1"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 3" "Text" "$(link)"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 4" "Text" "$(link2)"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 5" "Text" "$(link3)"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 6" "Text" "$(link4)"
Call GenRanNum
Pop $R0
StrCpy $R2 'ETUIPlayer$R0'
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 7" "State" "$R2"
!insertmacro MUI_INSTALLOPTIONS_WRITE "res.ini" "Field 8" "Text" "$(nickcol)"
!insertmacro MUI_INSTALLOPTIONS_DISPLAY "res.ini"

Var /GLOBAL nickname

!insertmacro MUI_INSTALLOPTIONS_READ $R7 "res.ini" "Field 1" "State"
!insertmacro MUI_INSTALLOPTIONS_READ $R8 "res.ini" "Field 2" "State"
!insertmacro MUI_INSTALLOPTIONS_READ $nickname "res.ini" "Field 7" "State"

FunctionEnd

Function inputval

!insertmacro MUI_INSTALLOPTIONS_READ $nickname "res.ini" "Field 7" "State"
  StrCmp $nickname "" 0 +3
    MessageBox MB_ICONEXCLAMATION|MB_OK "$(inputname)"
    Abort

!insertmacro MUI_INSTALLOPTIONS_READ $R7 "res.ini" "Field 1" "State"
  StrCmp $R7 "" 0 +3
    MessageBox MB_ICONEXCLAMATION|MB_OK "$(inputres)"
    Abort

!insertmacro MUI_INSTALLOPTIONS_READ $R8 "res.ini" "Field 2" "State"
  StrCmp $R8 "" 0 +3
    MessageBox MB_ICONEXCLAMATION|MB_OK "$(inputres)"
    Abort

FunctionEnd

Function defbinds
Push 'CTRL "+moveup"'  #text to be replaced
Push 'CTRL "+topshots"' #replace with
Push all #replace all occurrences
Push all #replace all occurrences
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg #file to replace in
Call AdvReplaceInFile
Push 'SHIFT "+reload"'
Push 'SHIFT "+sprint"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'CAPSLOCK "+sprint"'
Push 'CAPSLOCK "+speed"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_LEFTARROW "weaponbank 5"'
Push 'KP_LEFTARROW "selectbuddy 3"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_5 "weaponbank 2"'
Push 'KP_5 "selectbuddy 4"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_RIGHTARROW "weaponbank 4"'
Push 'KP_RIGHTARROW "selectbuddy 5"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_END "weaponbank 6"'
Push 'KP_END "selectbuddy 0"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_DOWNARROW "weaponbank 3"'
Push 'KP_DOWNARROW "selectbuddy 1"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_PGDN "weaponbank 1"'
Push 'KP_PGDN "selectbuddy 2"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
Push 'KP_INS "+movedown"'
Push 'KP_INS "selectbuddy -2"' 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function wide1b
Push 90
Push 100.39487232 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function wide2b
Push 110
Push 119.481243187 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function wide1c
Push 90
Push 106.270273206 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function wide2c
Push 110
Push 129.885889474 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function Resolution2
Push 1024
Push $R7 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function Resolution4
Push 768
Push $R8 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function Resolution6
Push "nickkname"
Push $nickname 
Push all #start replacing after x occurrence
Push 1 #replace next x occurrences
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

Function omni1
Push "G:\Jeux Video\Installed\Enemy Territory"
Push $INSTDIR 
Push all 
Push all 
Push $INSTDIR\etmain\profiles\ETUI\etconfig.cfg 
Call AdvReplaceInFile
FunctionEnd

;>>>>>> Function Junction BEGIN
;Original Written by Afrow UK
; Rewrite to Replace on line within text by rainmanx
; This version works on R4 and R3 of Nullsoft Installer
; It replaces whatever is in the line throughout the entire text matching it.
Function AdvReplaceInFile
Exch $0 ;file to replace in
Exch
Exch $1 ;number to replace after
Exch
Exch 2
Exch $2 ;replace and onwards
Exch 2
Exch 3
Exch $3 ;replace with
Exch 3
Exch 4
Exch $4 ;to replace
Exch 4
Push $5 ;minus count
Push $6 ;universal
Push $7 ;end string
Push $8 ;left string
Push $9 ;right string
Push $R0 ;file1
Push $R1 ;file2
Push $R2 ;read
Push $R3 ;universal
Push $R4 ;count (onwards)
Push $R5 ;count (after)
Push $R6 ;temp file name
;-------------------------------
GetTempFileName $R6
FileOpen $R1 $0 r ;file to search in
FileOpen $R0 $R6 w ;temp file
StrLen $R3 $4
StrCpy $R4 -1
StrCpy $R5 -1
loop_read:
ClearErrors
FileRead $R1 $R2 ;read line
IfErrors exit
StrCpy $5 0
StrCpy $7 $R2
loop_filter:
IntOp $5 $5 - 1
StrCpy $6 $7 $R3 $5 ;search
StrCmp $6 "" file_write2
StrCmp $6 $4 0 loop_filter
StrCpy $8 $7 $5 ;left part
IntOp $6 $5 + $R3
StrCpy $9 $7 "" $6 ;right part
StrLen $6 $7
StrCpy $7 $8$3$9 ;re-join
StrCmp -$6 $5 0 loop_filter
IntOp $R4 $R4 + 1
StrCmp $2 all file_write1
StrCmp $R4 $2 0 file_write2
IntOp $R4 $R4 - 1
IntOp $R5 $R5 + 1
StrCmp $1 all file_write1
StrCmp $R5 $1 0 file_write1
IntOp $R5 $R5 - 1
Goto file_write2
file_write1:
FileWrite $R0 $7 ;write modified line
Goto loop_read
file_write2:
FileWrite $R0 $7 ;write modified line
Goto loop_read
exit:
FileClose $R0
FileClose $R1
SetDetailsPrint none
Delete $0
Rename $R6 $0
Delete $R6
SetDetailsPrint both
;-------------------------------
Pop $R6
Pop $R5
Pop $R4
Pop $R3
Pop $R2
Pop $R1
Pop $R0
Pop $9
Pop $8
Pop $7
Pop $6
Pop $5
Pop $4
Pop $3
Pop $2
Pop $1
Pop $0
FunctionEnd

Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(uninok)"
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "$(uninq)" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  !insertmacro MUI_STARTMENU_GETFOLDER "Application" $ICONS_GROUP
  Delete "$INSTDIR\tjmod\tjmapscripts\*.*"
  Delete "$INSTDIR\tjmod\screenshots\*.*"
  Delete "$INSTDIR\tjmod\profiles\ETUI\*.*"
  Delete "$INSTDIR\tjmod\demos\*.*"
  Delete "$INSTDIR\tjmod\configs\*.*"
  Delete "$INSTDIR\tjmod\*.*"
  Delete "$INSTDIR\pb\svss\*.*"
  Delete "$INSTDIR\pb\svlogs\*.*"
  Delete "$INSTDIR\pb\scrnshot\*.*"
  Delete "$INSTDIR\pb\htm\*.*"
  Delete "$INSTDIR\pb\dll\*.*"
  Delete "$INSTDIR\pb\*.*"
  
  Delete "$INSTDIR\omni-bot\gui\*.*"
  Delete "$INSTDIR\omni-bot\global_scripts\weapons\*.*"
  Delete "$INSTDIR\omni-bot\global_scripts\goals\*.*"
  Delete "$INSTDIR\omni-bot\global_scripts\*.*"
  Delete "$INSTDIR\omni-bot\et\user\*.*"
  Delete "$INSTDIR\omni-bot\et\scripts\weapons\*.*"
  Delete "$INSTDIR\omni-bot\et\scripts\testmap\*.*"
  Delete "$INSTDIR\omni-bot\et\scripts\goals\*.*"
  Delete "$INSTDIR\omni-bot\et\scripts\*.*"
  Delete "$INSTDIR\omni-bot\et\user\download\*.*"
  Delete "$INSTDIR\omni-bot\et\user\*.*"
  Delete "$INSTDIR\omni-bot\et\nav\*.*"
  Delete "$INSTDIR\omni-bot\et\gui\*.*"
  Delete "$INSTDIR\omni-bot\et\*.*"
  Delete "$INSTDIR\omni-bot\*.*"
  Delete "$INSTDIR\omnibot\profiles\ETUI\*.*"
  Delete "$INSTDIR\omnibot\profiles\*.*"
  Delete "$INSTDIR\omnibot\demos\*.*"
  Delete "$INSTDIR\omnibot\*.*"
  Delete "$INSTDIR\nq\screenshots\*.*"
  Delete "$INSTDIR\nq\profiles\ETUI\*.*"
  Delete "$INSTDIR\nq\demos\*.*"
  Delete "$INSTDIR\nq\*.*"
  Delete "$INSTDIR\jaymod\screenshots\*.*"
  Delete "$INSTDIR\jaymod\profiles\ETUI\*.*"
  Delete "$INSTDIR\jaymod\demos\*.*"
  Delete "$INSTDIR\jaymod\*.*"
  Delete "$INSTDIR\etpub\screenshots\*.*"
  Delete "$INSTDIR\etpub\profiles\ETUI\*.*"
  Delete "$INSTDIR\etpub\demos\*.*"
  Delete "$INSTDIR\etpub\*.*"
  Delete "$INSTDIR\etpro\screenshots\*.*"
  Delete "$INSTDIR\etpro\profiles\ETUI\*.*"
  Delete "$INSTDIR\etpro\demos\*.*"
  Delete "$INSTDIR\etpro\*.*"
  Delete "$INSTDIR\etmain\profiles\ETUI\*.*"
  Delete "$INSTDIR\etmain\profiles\*.*"
  Delete "$INSTDIR\etmain\*.*"
  Delete "$INSTDIR\*.*"

  SetShellVarContext all
  ReadRegStr $0 HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wolfenstein - Enemy Territory" SMPROGRAM
  Delete "$SMPROGRAMS\$0\*.*"
  RMDir "$SMPROGRAMS\$0"
  Delete "$DESKTOP\Enemy Territory.lnk"
  
  RMDir "$INSTDIR\tjmod\tjmapscripts"
  RMDir "$INSTDIR\tjmod\screenshots"
  RMDir "$INSTDIR\tjmod\profiles\ETUI"
  RMDir "$INSTDIR\tjmod\profiles"
  RMDir "$INSTDIR\tjmod\demos"
  RMDir "$INSTDIR\tjmod\configs"
  RMDir "$INSTDIR\tjmod"
  RMDir "$INSTDIR\pb\svss"
  RMDir "$INSTDIR\pb\svlogs"
  RMDir "$INSTDIR\pb\scrnshot"
  RMDir "$INSTDIR\pb\htm"
  RMDir "$INSTDIR\pb\dll"
  RMDir "$INSTDIR\pb"
  RMDir "$INSTDIR\omni-bot\gui"
  RMDir "$INSTDIR\omni-bot\global_scripts\weapons"
  RMDir "$INSTDIR\omni-bot\global_scripts\goals"
  RMDir "$INSTDIR\omni-bot\global_scripts"
  RMDir "$INSTDIR\omni-bot\et\user\download"
  RMDir "$INSTDIR\omni-bot\et\user"
  RMDir "$INSTDIR\omni-bot\et\scripts\weapons"
  RMDir "$INSTDIR\omni-bot\et\scripts\testmap"
  RMDir "$INSTDIR\omni-bot\et\scripts\goals"
  RMDir "$INSTDIR\omni-bot\et\scripts"
  RMDir "$INSTDIR\omni-bot\et\nav"
  RMDir "$INSTDIR\omni-bot\et\gui"
  RMDir "$INSTDIR\omni-bot\et"
  RMDir "$INSTDIR\omni-bot"
  RMDir "$INSTDIR\omnibot\profiles\ETUI"
  RMDir "$INSTDIR\omnibot\profiles"
  RMDir "$INSTDIR\omnibot\demos"
  RMDir "$INSTDIR\omnibot"
  RMDir "$INSTDIR\nq\screenshots"
  RMDir "$INSTDIR\nq\profiles\ETUI"
  RMDir "$INSTDIR\nq\profiles"
  RMDir "$INSTDIR\nq\demos"
  RMDir "$INSTDIR\nq"
  RMDir "$INSTDIR\jaymod\screenshots"
  RMDir "$INSTDIR\jaymod\profiles\ETUI"
  RMDir "$INSTDIR\jaymod\profiles"
  RMDir "$INSTDIR\jaymod\demos"
  RMDir "$INSTDIR\jaymod"
  RMDir "$INSTDIR\etpub\screenshots"
  RMDir "$INSTDIR\etpub\profiles\ETUI"
  RMDir "$INSTDIR\etpub\profiles"
  RMDir "$INSTDIR\etpub\demos"
  RMDir "$INSTDIR\etpub"
  RMDir "$INSTDIR\etpro\screenshots"
  RMDir "$INSTDIR\etpro\profiles\ETUI"
  RMDir "$INSTDIR\etpro\profiles"
  RMDir "$INSTDIR\etpro\demos"
  RMDir "$INSTDIR\etpro"
  RMDir "$INSTDIR\etmain\profiles\ETUI"
  RMDir "$INSTDIR\etmain\profiles"
  RMDir "$INSTDIR\etmain"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  DeleteRegKey HKLM "SOFTWARE\Activision"
  SetAutoClose True
SectionEnd